Search the Community
Showing results for tags 'entsel'.
-
entsel to ssget (create dimension for multiple block)
Pugazh posted a topic in AutoLISP, Visual LISP & DCL
This lisp for working select single block but i want to need create dimension for multiple block. help me!! (defun C:Bdim ( / ) (if (and (setq sel (entsel "Select a block: ")) (= (cdr (assoc 0 (setq nfo (entget (car sel))))) "INSERT") ) (vlax-for item (vla-item (vla-get-block... -
Hi, Sorry for the heading, I spelt entsel all wrong. Can someone change that please. I'm selecting a closed polyine using an entsel and the using an ssget to select other objects. How do I filter out that entsel item. Like so: (setq ent_1 (car (entsel "\nPlease select something"))...
-
Allow the user to select a exactly one line
plackowski posted a topic in AutoLISP, Visual LISP & DCL
I need to know the end points (p1 and p2) of a line chosen by the user. How can I let them only select a single line? I'm currently using the following: (if (setq ss (ssget '((0 . "LINE")))) (setq l1ent (entget (ssname ss 0))) (setq p1 (cdr (assoc 10 l1ent))) (setq p2 (cdr (assoc 11 l1ent)))... -
Hello friends, as some of you know, entsel is a good function to select single objects, but it has a severe flaw in distinguishing between "pressing enter" and "selecting nothing":(. Has Anyone a suggestion to conquer this defection:oops:?